;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:dessinetri
;
; PURPOSE:dessine la triangulation
;
; CATEGORY:pour comprendre comment ca marche
;
; CALLING SEQUENCE:dessinetri [, tri, x, y]
; 
; INPUTS:optionnels
;        par defaut on choisit la triangulation qui est utilise pour
;        les plots et on la trace aux points definites par vargrid
;
;        sinon il faut fournir les tableaux 
;        tri definissant la triangulation (fournis par triangule.pro
;        ou triangulate) 
;        x et y qui sont les positions de points a laquelle se raporte
;        la triangulation (cf. les tableau x et y fournis ds
;        triangulate)
;
; KEYWORD PARAMETERS: tous ceux de plots
;
; OUTPUTS:
;
; COMMON BLOCKS:common.pro
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
;
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------

PRO dessinetri, tri, x, y, _extra = ex
@common
   tempsun = systime(1)         ; pour key_performance

   if n_params() EQ 3 then begin
      glam = x
      gphi = y
   ENDIF ELSE BEGIN 
      grille,mask,glam,gphi, tri = tri
      undefine, mask
      tri = ciseauxtri(tri, glam, gphi)
   ENDELSE 

   tempdeux = systime(1)         ; pour key_performance =2
   for i = 0L, n_elements(tri)/3-1 do begin
      t = [tri[*, i], tri[0, i]]
;      plots, glam[t], gphi[t], color = i MOD 255, _extra = ex
;      wait, .1
      plots, glam[t], gphi[t], color = 0, _extra = ex
   ENDFOR
   IF testvar(var = key_performance) EQ 2 THEN $
    print, 'temps dessinetri: trace des triangles', systime(1)-tempdeux
;
   if keyword_set(key_performance) THEN print, 'temps dessinetri', systime(1)-tempsun 

   return
end
